Subject: Re: [PATCH v2 3/3] commit: print advice when core.commentString=auto

From: Junio C Hamano <[email-masked]>
Date: Wed, 27 Aug 2025 09:39:25 -0700

Oswald Buddenhagen <[email-masked]> writes:

> On Tue, Aug 26, 2025 at 02:33:10PM +0100, Phillip Wood wrote:
>> Some of git's reputation for being hard to use is well earned and I
>> don't want to add to that.
>>
> i would find that reasoning compelling if we weren't talking about a
> case that is likely to affect only very few, and probably rather
> advanced users (who somehow managed to make the feature actually
> useful for them - others would have quickly reverted the setting,
> because it would have gotten into their way).

So your counter-proposal is just stop at saying (possibly a milder
equivalent of) "nope, auto is no longer available. deal with it"?
Or does it go even stronger and not even special case "auto" that
user sets (i.e. and start commented lines with "auto " prefix)?

A simpler solution that would work for existing users is more
attractive than an overly complex one, of course, but I need to
gauge how simple you want to go.

Thanks.